## muse-el 3.02.6

=== Makefile ===
.PHONY: all lisp autoloads examples experimental doc clean realclean distclean fullclean install-info install-bin install test dist release debbuild debrevision debrelease upload
.PRECIOUS: %.info %.html

include Makefile.defs

SUBDIRS = lisp examples experimental

all: lisp muse.info

lisp:
	(cd lisp && $(MAKE))

autoloads:
	(cd lisp && $(MAKE) autoloads)

examples:
	(cd examples && $(MAKE))

experimental:
	(cd experimental && $(MAKE))

%.info: %.texi
	makeinfo $<

%.html: %.texi
	makeinfo --html --no-split $<

doc: muse.info muse.html

clean:
	for i in $(SUBDIRS); do \
	 (cd $$i && $(MAKE) clean); done

realclean fullclean: clean
	-rm -f muse.info muse.html
	for i in $(SUBDIRS); do \
	 (cd $$i && $(MAKE) distclean); done

install-info: muse.info
	[ -d $(INFODIR) ] || install -d $(INFODIR)
	install -m 0644 muse.info $(INFODIR)/muse
	$(INSTALLINFO) $(INFODIR)/muse

install-bin: lisp
	(cd lisp && $(MAKE) install)

install: install-bin install-info

test: 
	(cd lisp && $(MAKE) test)

distclean: realclean
	-rm -fr ../muse-$(VERSION)

dist: distclean
	tla inventory -sB | tar -cf - --no-recursion -T- | \
	  (mkdir -p ../muse-$(VERSION); cd ../muse-$(VERSION) && \
	  tar xf -)
	rm -fr ../muse-$(VERSION)/debian

release: dist
	(cd .. && tar -czf muse-$(VERSION).tar.gz muse-$(VERSION) ; \
	  zip -r muse-$(VERSION).zip muse-$(VERSION))

debbuild:
	(cd ../muse-el-$(VERSION) && \
	  dpkg-buildpackage -v$(LASTUPLOAD) $(BUILDOPTS) \
	    -us -uc -rfakeroot && \
	  echo "Running lintian ..." && \
	  lintian -i ../muse-el_$(VERSION)*.deb || : && \
	  echo "Done running lintian." && \
	  debsign)
	cp ../muse-el_$(VERSION)* ../../dist

debrevision: dist
	-rm -f ../../dist/muse-el_*
	-rm -f ../muse-el_$(VERSION)-*
	-rm -fr ../muse-el-$(VERSION)
	mv ../muse-$(VERSION) ../muse-el-$(VERSION)
	cp -r debian ../muse-el-$(VERSION)
	-rm -fr ../muse-el-$(VERSION)/debian/.arch-ids
	$(MAKE) debbuild

debrelease: dist
	-rm -f ../../dist/muse-el_*
	-rm -f ../muse-el_$(VERSION)*
	-rm -fr ../muse-el-$(VERSION)
	mv ../muse-$(VERSION) ../muse-el-$(VERSION)
	(cd .. && tar -czf muse-el_$(VERSION).orig.tar.gz muse-el-$(VERSION))
	cp -r debian ../muse-el-$(VERSION)
	-rm -fr ../muse-el-$(VERSION)/debian/.arch-ids
	$(MAKE) debbuild

upload: release
	(cd .. && gpg --detach muse-$(VERSION).tar.gz && \
	  gpg --detach muse-$(VERSION).zip && \
	  scp muse-$(VERSION).zip* muse-$(VERSION).tar.gz* \
	    mwolson@download.gna.org:/upload/muse-el)

=== experimental/Makefile ===
.PHONY: all lisp clean realclean distclean fullclean install test
.PRECIOUS: %.elc

include ../Makefile.defs

EL  = $(wildcard *.el)
ELC = $(patsubst %.el,%.elc,$(wildcard *.el))

all: experimental

experimental: $(ELC)

muse-build.elc: ../scripts/muse-build.el
	@echo muse-build.el is not byte-compiled

%.elc: %.el
	@$(EMACS) -q $(SITEFLAG) -batch -l ../scripts/muse-build.el \
		-f batch-byte-compile $<

clean realclean distclean fullclean:
	-rm -f *.elc *~

install: $(ELC)
	install -d $(ELISPDIR)/experimental
	install -m 0644 $(EL) $(ELC) $(ELISPDIR)/experimental

test: $(ELC)
	$(EMACS) -q $(SITEFLAG) -batch -l ../scripts/muse-build.el \
		-f muse-elint-files muse-*.el

=== lisp/Makefile ===
.PHONY: all lisp autoloads clean realclean distclean fullclean install test
.PRECIOUS: %.elc

include ../Makefile.defs

EL  = $(filter-out muse-autoloads.el,$(wildcard *.el))
ELC = $(patsubst %.el,%.elc,$(EL))

all: autoloads lisp

lisp: $(ELC)

muse-build.elc: ../scripts/muse-build.el
	@echo muse-build.el is not byte-compiled

autoloads: muse-autoloads.el

muse-autoloads.el: $(EL)
	@$(EMACS) -q $(SITEFLAG) -batch -l ../scripts/muse-build.el \
		-f muse-generate-autoloads . ../contrib ../experimental

%.elc: %.el
	@$(EMACS) -q $(SITEFLAG) -batch -l ../scripts/muse-build.el \
		-f batch-byte-compile $<

clean:
	-rm -f *.elc *~

realclean distclean fullclean: clean
	-rm -f muse-autoloads.el

install: $(ELC)
	install -d $(ELISPDIR)
	install -m 0644 $(EL) $(ELC) $(ELISPDIR)

test: $(ELC)
	$(EMACS) -q $(SITEFLAG) -batch -l ../scripts/muse-build.el \
		-f muse-elint-files muse-*.el

## muse-el 3.02.8

=== Makefile ===
.PHONY: all lisp contrib autoloads examples experimental doc clean realclean
.PHONY: distclean fullclean install-info install-bin install test dist release
.PHONY: debbuild debrevision debrelease upload
.PRECIOUS: %.info %.html

include Makefile.defs

SUBDIRS = lisp contrib examples experimental

all: autoloads lisp contrib $(MANUAL).info

lisp:
	(cd lisp && $(MAKE))

contrib:
	(cd contrib && $(MAKE))

autoloads:
	(cd lisp && $(MAKE) autoloads)

examples:
	(cd examples && $(MAKE))

experimental:
	(cd experimental && $(MAKE))

%.info: %.texi
	makeinfo $<

%.html: %.texi
	makeinfo --html --no-split $<

doc: $(MANUAL).info $(MANUAL).html

clean:
	for i in $(SUBDIRS); do \
	 (cd $$i && $(MAKE) clean); done

realclean fullclean: clean
	-rm -f $(MANUAL).info $(MANUAL).html
	for i in $(SUBDIRS); do \
	 (cd $$i && $(MAKE) realclean); done

install-info: $(MANUAL).info
	[ -d $(INFODIR) ] || install -d $(INFODIR)
	install -m 0644 $(MANUAL).info $(INFODIR)/$(MANUAL)
	$(INSTALLINFO) $(INFODIR)/$(MANUAL)

install-bin: autoloads lisp contrib
	(cd lisp && $(MAKE) install)
	(cd contrib && $(MAKE) install)
	(cd experimental && $(MAKE) install-uncompiled)

install: install-bin install-info

test: 
	(cd lisp && $(MAKE) test)

distclean:
	-rm -f $(MANUAL).info $(MANUAL).html
	for i in $(SUBDIRS); do \
	 (cd $$i && $(MAKE) distclean); done
	-rm -fr ../$(PROJECT)-$(VERSION)

dist: autoloads distclean
	tla inventory -sB | tar -cf - --no-recursion -T- | \
	  (mkdir -p ../$(PROJECT)-$(VERSION); cd ../$(PROJECT)-$(VERSION) && \
	  tar xf -)
	cp lisp/$(PROJECT)-autoloads.el ../$(PROJECT)-$(VERSION)/lisp
	rm -fr ../$(PROJECT)-$(VERSION)/debian

release: dist
	(cd .. && tar -czf $(PROJECT)-$(VERSION).tar.gz \
	    $(PROJECT)-$(VERSION) ; \
	  zip -r $(PROJECT)-$(VERSION).zip $(PROJECT)-$(VERSION) && \
	  gpg --detach $(PROJECT)-$(VERSION).tar.gz && \
	  gpg --detach $(PROJECT)-$(VERSION).zip)

debbuild:
	(cd ../$(DEBNAME)-$(VERSION) && \
	  dpkg-buildpackage -v$(LASTUPLOAD) $(BUILDOPTS) \
	    -us -uc -rfakeroot && \
	  echo "Running lintian ..." && \
	  lintian -i ../$(DEBNAME)_$(VERSION)*.deb || : && \
	  echo "Done running lintian." && \
	  debsign)
	cp ../$(DEBNAME)_$(VERSION)* ../../dist

debrevision: dist
	-rm -f ../../dist/$(DEBNAME)_*
	-rm -f ../$(DEBNAME)_$(VERSION)-*
	-rm -fr ../$(DEBNAME)-$(VERSION)
	mv ../$(PROJECT)-$(VERSION) ../$(DEBNAME)-$(VERSION)
	cp -r debian ../$(DEBNAME)-$(VERSION)
	-rm -fr ../$(DEBNAME)-$(VERSION)/debian/.arch-ids
	$(MAKE) debbuild

debrelease: dist
	-rm -f ../../dist/$(DEBNAME)_*
	-rm -f ../$(DEBNAME)_$(VERSION)*
	-rm -fr ../$(DEBNAME)-$(VERSION)
	mv ../$(PROJECT)-$(VERSION) ../$(DEBNAME)-$(VERSION)
	(cd .. && tar -czf $(DEBNAME)_$(VERSION).orig.tar.gz \
	    $(DEBNAME)-$(VERSION))
	cp -r debian ../$(DEBNAME)-$(VERSION)
	-rm -fr ../$(DEBNAME)-$(VERSION)/debian/.arch-ids
	$(MAKE) debbuild

upload: release
	(cd .. && \
	  scp $(PROJECT)-$(VERSION).zip* $(PROJECT)-$(VERSION).tar.gz* \
	    mwolson@download.gna.org:/upload/muse-el)

=== contrib/Makefile ===
.PHONY: all contrib clean realclean distclean fullclean install
.PRECIOUS: %.elc

include ../Makefile.defs

EL  = $(wildcard *.el)
ELC = $(patsubst %.el,%.elc,$(EL))

all: contrib

contrib: $(ELC)

$(PROJECT)-build.elc: ../scripts/$(PROJECT)-build.el
	@echo $(PROJECT)-build.el is not byte-compiled

%.elc: %.el
	@$(EMACS) -q $(SITEFLAG) -batch -l ../scripts/$(PROJECT)-build.el \
	    -f batch-byte-compile $<

clean realclean distclean fullclean:
	-rm -f *.elc *~

install: $(ELC)
	install -d $(ELISPDIR)/contrib
	install -m 0644 $(EL) $(ELC) $(ELISPDIR)/contrib

=== examples/Makefile ===
.PHONY: all examples clean realclean distclean fullclean
.PRECIOUS: %.html %.pdf %.info

include ../Makefile.defs

EXAMPLES = QuickStart.html QuickStart.pdf QuickStart.info

all: examples

examples: $(EXAMPLES)

%.html: %.muse
	EMACS=$(EMACS) SITEFLAG=$(SITEFLAG) ../scripts/publish html $<

%.pdf: %.muse
	EMACS=$(EMACS) SITEFLAG=$(SITEFLAG) ../scripts/publish info-pdf $<

%.info: %.muse
	EMACS=$(EMACS) SITEFLAG=$(SITEFLAG) ../scripts/publish info $<

clean:
	-rm -f missfont.log

realclean distclean fullclean: clean
	-rm -f $(EXAMPLES)

=== experimental/Makefile ===
.PHONY: all experimental clean realclean distclean fullclean install
.PHONY: install-uncompiled
.PRECIOUS: %.elc

include ../Makefile.defs

EL  = $(wildcard *.el)
ELC = $(patsubst %.el,%.elc,$(wildcard *.el))

all: experimental

experimental: $(ELC)

$(PROJECT)-build.elc: ../scripts/$(PROJECT)-build.el
	@echo $(PROJECT)-build.el is not byte-compiled

%.elc: %.el
	@$(EMACS) -q $(SITEFLAG) -batch -l ../scripts/$(PROJECT)-build.el \
		-f batch-byte-compile $<

clean realclean distclean fullclean:
	-rm -f *.elc *~

install: $(ELC)
	install -d $(ELISPDIR)/experimental
	install -m 0644 $(EL) $(ELC) $(ELISPDIR)/experimental

install-uncompiled:
	install -d $(ELISPDIR)/experimental
	install -m 0644 $(EL) $(ELISPDIR)/experimental

=== lisp/Makefile ===
.PHONY: all lisp autoloads clean realclean distclean fullclean install test
.PRECIOUS: %.elc

include ../Makefile.defs

EL  = $(filter-out $(PROJECT)-autoloads.el,$(wildcard *.el))
ELC = $(patsubst %.el,%.elc,$(EL))

all: lisp

lisp: autoloads $(ELC)

$(PROJECT)-build.elc: ../scripts/$(PROJECT)-build.el
	@echo $(PROJECT)-build.el is not byte-compiled

autoloads: $(PROJECT)-autoloads.el

$(PROJECT)-autoloads.el: $(EL)
	@$(EMACS) -q $(SITEFLAG) -batch -l ../scripts/$(PROJECT)-build.el \
		-f $(PROJECT)-generate-autoloads . ../contrib ../experimental

%.elc: %.el
	@$(EMACS) -q $(SITEFLAG) -batch -l ../scripts/$(PROJECT)-build.el \
		-f batch-byte-compile $<

clean distclean:
	-rm -f *.elc *~

realclean fullclean: clean
	-rm -f $(PROJECT)-autoloads.el

install: autoloads $(ELC)
	install -d $(ELISPDIR)
	install -m 0644 $(PROJECT)-autoloads.el $(EL) $(ELC) $(ELISPDIR)

test: $(ELC)
	$(EMACS) -q $(SITEFLAG) -batch -l ../scripts/$(PROJECT)-build.el \
		-f $(PROJECT)-elint-files $(EL)

## muse-el 3.11

=== Makefile ===
.PHONY: all lisp contrib autoloads examples experimental doc info-only
.PHONY: clean realclean distclean fullclean install-info install-bin install
.PHONY: test dist release debclean debprepare debbuild debinstall deb upload
.PHONY: elpa

DEFS = $(shell test -f Makefile.defs && echo Makefile.defs \
	|| echo Makefile.defs.default)

include $(DEFS)

SUBDIRS = lisp contrib examples experimental texi

all: autoloads lisp contrib info-only

lisp:
	(cd lisp && $(MAKE))

contrib:
	(cd contrib && $(MAKE))

autoloads:
	(cd lisp && $(MAKE) autoloads)

examples:
	(cd examples && $(MAKE))

experimental:
	(cd experimental && $(MAKE))

info-only:
	(cd texi && $(MAKE) info-only)

doc texi:
	(cd texi && $(MAKE))

clean:
	for i in $(SUBDIRS); do \
	 (cd $$i && $(MAKE) clean); done

realclean fullclean: clean
	for i in $(SUBDIRS); do \
	 (cd $$i && $(MAKE) realclean); done

install-info:
	(cd texi && $(MAKE) install)

install-bin: autoloads lisp contrib
	(cd lisp && $(MAKE) install)
	(cd contrib && $(MAKE) install)
	(cd experimental && $(MAKE) install-uncompiled)

install: install-bin install-info

test: 
	(cd lisp && $(MAKE) test)

distclean:
	for i in $(SUBDIRS); do \
	 (cd $$i && $(MAKE) distclean); done
	-rm -fr ../$(PROJECT)-$(VERSION)

dist: autoloads distclean
	git archive --format=tar --prefix=$(PROJECT)-$(VERSION)/ HEAD | \
	  (cd .. && tar xf -)
	rm -f ../$(PROJECT)-$(VERSION)/.gitignore
	cp lisp/$(PROJECT)-autoloads.el ../$(PROJECT)-$(VERSION)/lisp

release: dist
	(cd .. && tar -czf $(PROJECT)-$(VERSION).tar.gz \
	    $(PROJECT)-$(VERSION) ; \
	  zip -r $(PROJECT)-$(VERSION).zip $(PROJECT)-$(VERSION) && \
	  gpg --detach $(PROJECT)-$(VERSION).tar.gz && \
	  gpg --detach $(PROJECT)-$(VERSION).zip)

debclean:
	-rm -f ../../dist/$(DISTRIBUTOR)/$(DEBNAME)_*
	-rm -fr ../$(DEBNAME)_$(VERSION)*

debprepare:
	-rm -rf ../$(DEBNAME)-$(VERSION)
	(cd .. && tar -xzf $(PROJECT)-$(VERSION).tar.gz)
	mv ../$(PROJECT)-$(VERSION) ../$(DEBNAME)-$(VERSION)
	(cd .. && tar -czf $(DEBNAME)_$(VERSION).orig.tar.gz \
	    $(DEBNAME)-$(VERSION))
	(cd debian && git archive --format=tar \
	  --prefix=$(DEBNAME)-$(VERSION)/debian/ HEAD | \
	  (cd ../.. && tar xf -))

debbuild:
	(cd ../$(DEBNAME)-$(VERSION) && \
	  dpkg-buildpackage -v$(LASTUPLOAD) $(BUILDOPTS) \
	    -us -uc -rfakeroot && \
	  echo "Running lintian ..." && \
	  lintian -i ../$(DEBNAME)_$(VERSION)*.deb || : && \
	  echo "Done running lintian." && \
	  echo "Running linda ..." && \
	  linda -i ../$(DEBNAME)_$(VERSION)*.deb || : && \
	  echo "Done running linda." && \
	  debsign)

debinstall:
	cp ../$(DEBNAME)_$(VERSION)* ../../dist/$(DISTRIBUTOR)

deb: debclean debprepare debbuild debinstall

upload:
	(cd .. && \
	  scp $(PROJECT)-$(VERSION).zip* $(PROJECT)-$(VERSION).tar.gz* \
	    mwolson@download.gna.org:/upload/muse-el)

elpa: realclean info-only
	rm -fR $(ELPADIR)/$(PROJECT)-$(VERSION)
	rm -f $(ELPADIR)/$(PROJECT)-$(VERSION).tar
	mkdir -p $(ELPADIR)/$(PROJECT)-$(VERSION)
	cp lisp/*.el $(ELPADIR)/$(PROJECT)-$(VERSION)
	cp contrib/*.el $(ELPADIR)/$(PROJECT)-$(VERSION)
	echo '(define-package "$(PROJECT)" "$(VERSION)"' > \
	  $(ELPADIR)/$(PROJECT)-$(VERSION)/$(PROJECT)-pkg.el
	echo '  "$(ELPADESC)")' >> \
	  $(ELPADIR)/$(PROJECT)-$(VERSION)/$(PROJECT)-pkg.el
	cp texi/$(MANUAL).info $(ELPADIR)/$(PROJECT)-$(VERSION)
	echo '* Menu:' > $(ELPADIR)/$(PROJECT)-$(VERSION)/dir
	echo >> $(ELPADIR)/$(PROJECT)-$(VERSION)/dir
	install-info --section "Emacs" "Emacs" \
	  --info-dir=$(ELPADIR)/$(PROJECT)-$(VERSION) \
	  $(ELPADIR)/$(PROJECT)-$(VERSION)/$(MANUAL).info
	rm -f $(ELPADIR)/$(PROJECT)-$(VERSION)/dir.old
	(cd $(ELPADIR) && tar cf $(PROJECT)-$(VERSION).tar \
	  $(PROJECT)-$(VERSION))

## muse-el 3.12

=== Makefile ===
--- 
+++ 
@@ -119,8 +119,7 @@
 	echo '  "$(ELPADESC)")' >> \
 	  $(ELPADIR)/$(PROJECT)-$(VERSION)/$(PROJECT)-pkg.el
 	cp texi/$(MANUAL).info $(ELPADIR)/$(PROJECT)-$(VERSION)
-	echo '* Menu:' > $(ELPADIR)/$(PROJECT)-$(VERSION)/dir
-	echo >> $(ELPADIR)/$(PROJECT)-$(VERSION)/dir
+	cp texi/dir-template $(ELPADIR)/$(PROJECT)-$(VERSION)/dir
 	install-info --section "Emacs" "Emacs" \
 	  --info-dir=$(ELPADIR)/$(PROJECT)-$(VERSION) \
 	  $(ELPADIR)/$(PROJECT)-$(VERSION)/$(MANUAL).info

=== contrib/Makefile ===
--- 
+++ 
@@ -1,7 +1,10 @@
 .PHONY: all contrib clean realclean distclean fullclean install
 .PRECIOUS: %.elc
 
-include ../Makefile.defs
+DEFS = $(shell test -f ../Makefile.defs && echo ../Makefile.defs \
+	|| echo ../Makefile.defs.default)
+
+include $(DEFS)
 
 EL  = $(wildcard *.el)
 ELC = $(patsubst %.el,%.elc,$(EL))

=== lisp/Makefile ===
--- 
+++ 
@@ -1,7 +1,10 @@
 .PHONY: all lisp autoloads clean realclean distclean fullclean install test
 .PRECIOUS: %.elc
 
-include ../Makefile.defs
+DEFS = $(shell test -f ../Makefile.defs && echo ../Makefile.defs \
+	|| echo ../Makefile.defs.default)
+
+include $(DEFS)
 
 EL  = $(filter-out $(PROJECT)-autoloads.el,$(wildcard *.el))
 ELC = $(patsubst %.el,%.elc,$(EL))
@@ -36,3 +39,57 @@
 test: $(ELC)
 	$(EMACS) -q $(SITEFLAG) -batch -l ../scripts/$(PROJECT)-build.el \
 		-f $(PROJECT)-elint-files $(EL)
+
+# Dependencies
+#
+# This allows us to recompile Muse safely after an update.
+
+muse-backlink.elc: muse-mode.elc muse-publish.elc muse.elc
+
+muse-blosxom.elc: muse-html.elc muse-project.elc muse-publish.elc
+
+muse-book.elc: muse-latex.elc muse-project.elc muse-publish.elc
+muse-book.elc: muse-regexps.elc
+
+muse-colors.elc: muse-mode.elc muse-regexps.elc
+
+muse-context.elc: muse-publish.elc
+
+muse-docbook.elc: muse-publish.elc muse-regexps.elc muse-xml-common.elc
+
+muse-groff.elc: muse-publish.elc
+
+muse-html.elc: muse-publish.elc muse-regexps.elc muse-xml-common.elc
+
+muse-http.elc: muse-html.elc muse-project.elc
+
+muse-import-docbook.elc: muse-import-xml.elc
+
+muse-import-latex.elc: muse-regexps.elc muse.elc
+
+muse-journal.elc: muse-book.elc muse-html.elc muse-latex.elc
+muse-journal.elc: muse-publish.elc
+
+muse-latex.elc: muse-publish.elc
+
+muse-latex2png.elc: muse-publish.elc
+
+muse-mode.elc: muse-regexps.elc muse-project.elc
+
+muse-poem.elc: muse-latex.elc muse-project.elc
+
+muse-project.elc: muse-publish.elc muse.elc
+
+muse-protocols.elc: muse-regexps.elc
+
+muse-publish.elc: muse-regexps.elc muse.elc
+
+muse-texinfo.elc: muse-latex.elc muse-publish.elc
+
+muse-wiki.elc: muse-colors.elc muse-regexps.elc muse-mode.elc
+
+muse-xml-common.elc: muse-publish.elc muse-regexps.elc
+
+muse-xml.elc: muse-publish.elc muse-regexps.elc muse-xml-common.elc
+
+muse.elc: muse-protocols.elc muse-regexps.elc

## muse-el 3.20%2Bdfsg

=== debian/changelog ===
muse-el (3.20+dfsg-6) unstable; urgency=medium

  * Rebuild with dh-elpa 2.0.
  * Migrate to debhelper-compat 13.
  * Add Rules-Requires-Root: no.
  * Update my copyright years.
  * Add 0005-convert-a-muse-init.el-example-to-UTF-8.patch.
  * Declare Standards-Version: 4.5.1 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 08 Dec 2020 06:48:39 -0500

muse-el (3.20+dfsg-5) unstable; urgency=medium

  * Update Maintainer to use the Debian Emacsen Team's new email address.
  * Uncapitalise short description, and fix ancient typos.
  * Use secure URL for copyright-format.
  * Revert section change to lisp.  Editors was correct, and the Debian
    archive currently classifies this package as such.
  * Add lintian override for elpa-muse' wrong-section-according-to-package-name
  * Switch Vcs links from alioth to salsa.
  * Switch to debhelper-compat 12 and drop debian/compat.
  * Drop the muse-el dummy transitional package.
  * Add Provides: muse-el to elpa-muse, for the benefit of users who only
    know this package by that name.
  * Update my copyright years.
  * Change Build-Depends-Indep: emacs25-nox to emacs-nox (unversioning).
  * debian/rules:
    - Delete unused remnants of boilerplate.
    - Override dh_auto_install, which is now installing files to
      debian/elpa-muse/usr/local, to do nothing.
  * Update Breaks and Replaces for 3.20+dfsg-5.
  * Drop emacs25 from Enhances, because it doesn't exist in Buster.
  * Declare Standards-Version: 4.4.0. (No additional changes needed)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 08 Jul 2019 14:07:43 -0400

muse-el (3.20+dfsg-4) unstable; urgency=medium

  * Declare Standards-Version: 4.1.3. (No additional changes needed)
  * Switch to debhelper 11.
  * Declare compat level 11.
  * Update packaging to current pkg-emacsen standards:
    - Change from Section: editors to Section: lisp.
    - Drop emacs24 everywhere.
    - Drop unnecessary emacsen-common dependency.
    - Drop Built-Using.
  * Drop depends on emacs-goodies-el, and depend on elpa-htmlize instead.
  * debian/control: Use my preferred formatting.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 07 Jan 2018 18:14:58 -0500

muse-el (3.20+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 19 Jun 2017 19:34:13 -0400

muse-el (3.20+dfsg-2) experimental; urgency=medium

  * debian/COPYING.emails: Add confirmation emails from all previous
    contributors.
  * debian/copyright:
    - Add license for debian/*
    - Primary GPL3+ section can finally be simplified; simplify it.
  * debian/control: Make dependencies comply with Debian Emacs Policy.
    - unversioned dh-elpa
    - Drop emacs-nox from Build-Depends-Indep.
    - Add emacsen-common to Depends.
  * debian/elpa-muse.install: Fix creation of redundant subdir under
    contrib.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 09 Jun 2017 19:10:22 -0400

muse-el (3.20+dfsg-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New Maintainer. (Closes: #715466)
  * Repackage using dh-elpa:
    - debian/control: add dh-elpa build dependency.
    - Rename the binary package to elpa-muse.
    - 'muse-el' is now a dummy transitional package.
    - debian/rules: Start from scratch, because it's a complete rewrite.
    - Drop debian/emacsen-* and debian/muse-el.dirs.
    - Add update_dir_struct.diff patch for upstream README to reflect
      the new locations various files are installed to.
    - Update NEWS and README.Debian with new elpa-muse locations, and remove
      asterisks from NEWS.
  * Declare source format 3.0 (quilt) non-native.
  * debian/control:
    - Change section to editors.
    - Change priority to optional.
    - Bump required debhelper to >=10.
    - Update Emacs build dependency to emacs-nox | emacs25 | emacs24.
    - Add texlive-latex-base dependency recommendation, which is needed for
      many functions, including TeX import/export and PDF export targets.
    - Add homepage, and Vcs links.
    - Bump standards version to 3.9.8.
      Various changes elsewhere in this changelog entry.
  * Register Quickstart.pdf with doc-base.
  * Switch to dh compat 10.
  * Add patch fix_privacy_breaches.diff; this removes CSS validation links and
    prevents the download of favicon. (Closes: #775885)
  * Add patch no_texi.diff to disable non-DFSG compliant documentation.
  * Install docs and examples using dh_install* tools.
  * debian/rules:
    - Override dh_auto_build to build examples and autoloads.
    - Override dh_installchangelogs to install upstream changelog series.
  * Install images used by the QuickStart.muse example to
    doc/elpa-muse-version/examples. (Closes: #720121)
  * Add patch use_see_not_open.diff to use Debian's "see" command rather
    than "open", the command a popular commercial OS uses to automatically
    choose the correct helper program to open files.  Thank you to Kevin Ryde,
    who suggested this change. (Closes: #720126)
  * Add watch file.
  * Add elpa-muse.lintian-overrides and source.lintian-overrides.  Refer
    to comments in these files for the rationale behind this.
  * Add muse-el.maintscript to remove obsolete 50muse-el.el.

  [ Sean Whitton ]
  * Add dependency on emacs-goodies-el.
    htmlize.el is needed for postinst to bytecompile htmlize-hack.el

  [ Nicholas D Steeves & Sean Whitton ]
  * debian/copyright:
    - Rewrite to use machine-readable format 1.0.
    - Fix misattributed source; timestamps found in the source code of our
      muse-el_3.20+dfsg.orig.tar.gz do not match those of the tarball
      provided by http://download.gna.org, but they match what
      git://repo.or.cz provides; consequently, this git repo must be cited
      as the verifiable origin of muse-el_3.20+dfsg.orig.tar.gz.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 15 Jan 2017 22:05:09 -0700

muse-el (3.20+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.


## muse-el 3.20+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 .PHONY: all lisp contrib autoloads examples experimental doc info-only
 .PHONY: clean realclean distclean fullclean install-info install-bin install
-.PHONY: test dist release debclean debprepare debbuild debinstall deb upload
-.PHONY: elpa
+.PHONY: test dist release upload elpa
 
 DEFS = $(shell test -f Makefile.defs && echo Makefile.defs \
 	|| echo Makefile.defs.default)
@@ -72,37 +71,6 @@
 	  gpg --detach $(PROJECT)-$(VERSION).tar.gz && \
 	  gpg --detach $(PROJECT)-$(VERSION).zip)
 
-debclean:
-	-rm -f ../../dist/$(DISTRIBUTOR)/$(DEBNAME)_*
-	-rm -fr ../$(DEBNAME)_$(VERSION)*
-
-debprepare:
-	-rm -rf ../$(DEBNAME)-$(VERSION)
-	(cd .. && tar -xzf $(PROJECT)-$(VERSION).tar.gz)
-	mv ../$(PROJECT)-$(VERSION) ../$(DEBNAME)-$(VERSION)
-	(cd .. && tar -czf $(DEBNAME)_$(VERSION).orig.tar.gz \
-	    $(DEBNAME)-$(VERSION))
-	(cd debian && git archive --format=tar \
-	  --prefix=$(DEBNAME)-$(VERSION)/debian/ HEAD | \
-	  (cd ../.. && tar xf -))
-
-debbuild:
-	(cd ../$(DEBNAME)-$(VERSION) && \
-	  dpkg-buildpackage -v$(LASTUPLOAD) $(BUILDOPTS) \
-	    -us -uc -rfakeroot && \
-	  echo "Running lintian ..." && \
-	  lintian -i ../$(DEBNAME)_$(VERSION)*.deb || : && \
-	  echo "Done running lintian." && \
-	  echo "Running linda ..." && \
-	  linda -i ../$(DEBNAME)_$(VERSION)*.deb || : && \
-	  echo "Done running linda." && \
-	  debsign)
-
-debinstall:
-	cp ../$(DEBNAME)_$(VERSION)* ../../dist/$(DISTRIBUTOR)
-
-deb: debclean debprepare debbuild debinstall
-
 upload:
 	(cd .. && \
 	  scp $(PROJECT)-$(VERSION).zip* $(PROJECT)-$(VERSION).tar.gz* \

=== examples/Makefile ===
.PHONY: all examples clean realclean distclean fullclean
.PRECIOUS: %.html %.pdf %.info

DEFS = $(shell test -f ../Makefile.defs && echo ../Makefile.defs \
	|| echo ../Makefile.defs.default)

include $(DEFS)

EXAMPLES = QuickStart.html QuickStart.pdf QuickStart.info

all: examples

examples: $(EXAMPLES)

%.html: %.muse
	@echo Generating HTML for $<...
	EMACS=$(EMACS) SITEFLAG=$(SITEFLAG) ../scripts/publish html $<

%.pdf: %.muse
	@echo Generating PDF for $< ...
	EMACS=$(EMACS) SITEFLAG=$(SITEFLAG) ../scripts/publish pdf $<

%.info: %.muse
	@echo Generating Info for $< ...
	EMACS=$(EMACS) SITEFLAG=$(SITEFLAG) ../scripts/publish info $<

clean:
	rm -f missfont.log QuickStart.texi *~

realclean distclean fullclean: clean
	rm -f $(EXAMPLES)
	rm -f QuickStart.aux QuickStart.log QuickStart.out QuickStart.tex
	rm -f QuickStart.cp QuickStart.fn QuickStart.ky QuickStart.pg
	rm -f QuickStart.tp QuickStart.vr

=== experimental/Makefile ===
--- 
+++ 
@@ -2,7 +2,10 @@
 .PHONY: install-uncompiled
 .PRECIOUS: %.elc
 
-include ../Makefile.defs
+DEFS = $(shell test -f ../Makefile.defs && echo ../Makefile.defs \
+	|| echo ../Makefile.defs.default)
+
+include $(DEFS)
 
 EL  = $(wildcard *.el)
 ELC = $(patsubst %.el,%.elc,$(wildcard *.el))

=== lisp/Makefile ===
--- 
+++ 
@@ -63,9 +63,13 @@
 
 muse-http.elc: muse-html.elc muse-project.elc
 
+muse-ikiwiki.elc: muse-html.elc muse-ipc.elc muse-publish.elc muse.elc
+
 muse-import-docbook.elc: muse-import-xml.elc
 
 muse-import-latex.elc: muse-regexps.elc muse.elc
+
+muse-ipc.elc: muse-publish.elc muse.elc
 
 muse-journal.elc: muse-book.elc muse-html.elc muse-latex.elc
 muse-journal.elc: muse-publish.elc

=== debian/changelog ===
muse-el (3.20+dfsg-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + elpa-muse: Drop versioned constraint on emacs in Recommends.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Move source package lintian overrides to debian/source.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Xiyue Deng ]
  * Add patch 0006-Migrate-away-from-deprecated-assoc.el.patch to fix
    build with Emacs 29.1.  Closes: #1042911.
  * Set package as team maintained and add myself as an uploader.
    Closes: #1016558.
  * Drop match pattern for privacy-breach-generic so as to match the
    included URLs.
  * Add lintian override for debian-news-entry-has-unknown-version to
    workaround #1021502.
  * Drop section referencing non-existing file in debian/copyright to fix
    lintian warning superfluous-file-pattern.
  * Drop lintian override of wrong-section-according-to-package-name.
  * Save and restore lisp/muse-autoloads.el to prevent it from changing
    when build-twice-in-a-row.  Closes: #1048114.

  [ Xiyue Deng & Nicholas D Steeves ]
  * Correct watch file so that it tracks the official GNU project on Savannah,
    rather than the fork on Github.  Additionally, start tracking all upstream
    activity (not just tags).

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 07 Sep 2023 21:32:02 -0700

muse-el (3.20+dfsg-7) unstable; urgency=medium

  * QA upload

  [ Nicholas D Steeves ]
  * Update my email address.

  [ David Bremner ]
  * Drop QuickStart.pdf from installed documentation. (Closes: #1016335).
  * Drop docbase support (Quickstart.pdf was the only installed file)

 -- David Bremner <bremner@debian.org>  Sun, 11 Sep 2022 09:19:05 -0300

=== debian/control ===
Source: muse-el
Section: editors
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: Xiyue Deng <manphiz@gmail.com>
Build-Depends: debhelper-compat (= 13)
             , dh-elpa
Build-Depends-Indep: texinfo
                   , texlive
                   , texlive-latex-extra
                   , emacs-nox
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://www.gnu.org/software/emacs-muse/index.html
Vcs-Git: https://salsa.debian.org/emacsen-team/muse-el.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/muse-el

Package: elpa-muse
Architecture: all
Depends: ${misc:Depends}
       , ${elpa:Depends}
       , elpa-htmlize
# ^ elpa-htmlize is needed for emacsen-common postinst to
# successfully bytecompile htmlize-hack.el
Recommends: emacs
          , doc-base
          , texlive-latex-base
Enhances: emacs
Breaks: muse-el (<< 3.20+dfsg-5)
Replaces: muse-el (<< 3.20+dfsg-5)
Provides: muse-el
Description: author and publish projects using Wiki-like markup
 Emacs Muse is an authoring and publishing environment for Emacs.  It
 simplifies the process of writing documents and publishing them to
 various output formats, such as DocBook, LaTeX, (X)HTML, TexInfo, and
 PDF.  It can even produce content suitable for blogging, such as
 Blosxom-style .txt files and RDF or RSS 2.0 feeds, using the
 muse-blosxom and muse-journal modules.
 .
 Muse consists of two main parts: an enhanced text-mode for authoring
 documents and navigating within Muse projects, and a set of publishing
 styles for generating different kinds of output.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	make examples
	# muse-autoloads.el gets regenerated during build.  Store the original
	# file to be restored during clean.  More on
	# https://bugs.debian.org/1048114.
	cp -f lisp/muse-autoloads.el debian/.debhelper/muse-autoloads.el
	make autoloads

override_dh_auto_install:

override_dh_installchangelogs:
	cat ChangeLog ChangeLog.5 ChangeLog.4 ChangeLog.3 ChangeLog.2 ChangeLog.1 > debian/.debhelper/changelog
	dh_installchangelogs debian/.debhelper/changelog

override_dh_compress:
	dh_compress -X.pdf

override_dh_auto_clean:
	# muse-autoloads.el gets regenerated during build.  Restore the original
	# file during clean.  More on https://bugs.debian.org/1048114.
	-cp -f debian/.debhelper/muse-autoloads.el lisp/muse-autoloads.el
	dh_auto_clean

=== debian/watch ===
# The Debian source for upstream version 3.20+dfsg predates the
# transfer of Muse to GNU, as an official GNU project; Our source has
# not yet merged any of the upstream activity that this new watch file
# tracks, but this should be done at some point.

version=4
opts="mode=git, dversionmangle=auto, pretty=3.20+git%cd.%h" \
    git://git.savannah.gnu.org/emacs/elpa.git \
    heads/externals/muse debian uupdate

## muse-el 3.20+git20240209.8710add+dfsg2

=== contrib/Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
 include $(DEFS)
 
 EL  = $(wildcard *.el)
-ELC = $(patsubst %.el,%.elc,$(EL))
+EL_NOT_BYTE_COMPILED = htmlize-hack.el
+ELC = $(patsubst %.el,%.elc,$(filter-out $(EL_NOT_BYTE_COMPILED),$(EL)))
 
 all: contrib

=== texi/Makefile ===
.PHONY: all info-only doc clean realclean distclean fullclean install
.PRECIOUS: %.info %.html

DEFS = $(shell test -f ../Makefile.defs && echo ../Makefile.defs \
	|| echo ../Makefile.defs.default)

include $(DEFS)

all: doc

%.info: %.texi
	makeinfo $<

%.html: %.texi
	makeinfo --html --no-split $<

info-only: $(MANUAL).info

doc: $(MANUAL).info $(MANUAL).html

clean: ;

distclean realclean fullclean: clean
	-rm -f $(MANUAL).info $(MANUAL).html

install: $(MANUAL).info
	[ -d $(INFODIR) ] || install -d $(INFODIR)
	install -m 0644 $(MANUAL).info $(INFODIR)/$(MANUAL)
	$(call install_info,$(MANUAL))

=== debian/changelog ===
muse-el (3.20+git20240209.8710add+dfsg2-1) unstable; urgency=medium

  * Repack source removing files no longer in upstream
  * Drop handling obsolete files in d/rules and make muse-el build
    reproducible (Closes: #889849)
  * Add d/gbp.conf

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 21 Oct 2024 22:12:56 -0700

muse-el (3.20+git20240209.8710add+dfsg-1) unstable; urgency=medium

  * Switch upstream to elpa and sync to latest upstream head (8710add).
  * Drop patches applied upstream
  * Drop comments in d/watch now that we are tracking elpa (Closes: #1051247)
  * Update year and add Upstream-Contact in d/copyright
  * Drop unused lintian overrides.
  * Declare Standards-Version 4.7.0; no change needed

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 04 Aug 2024 04:01:37 -0700

muse-el (3.20+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:54:15 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                    , texlive-latex-extra
                    , emacs-nox
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.gnu.org/software/emacs-muse/index.html
 Vcs-Git: https://salsa.debian.org/emacsen-team/muse-el.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/muse-el

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	make examples

override_dh_auto_install:
	@echo skip upstream build rule and prefer dh-elpa handling

override_dh_installchangelogs:
	cat ChangeLog ChangeLog.5 ChangeLog.4 ChangeLog.3 ChangeLog.2 ChangeLog.1 > debian/.debhelper/changelog
	dh_installchangelogs debian/.debhelper/changelog

override_dh_compress:
	dh_compress -X.pdf

=== debian/watch ===
version=4
opts="mode=git, dversionmangle=auto, pretty=3.20+git%cd.%h" \
    git://git.savannah.gnu.org/emacs/elpa.git \
    heads/externals/muse debian uupdate
